package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdAttachment;
import com.xmomen.module.base.entity.CdAttachmentExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdAttachmentMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdAttachmentExample example);

    // 根据条件删除记录
    int deleteByExample(CdAttachmentExample example);

    // 插入记录
    int insertSelective(CdAttachment record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdAttachment record, @Param("example") CdAttachmentExample example);
}